libfreehand::FHCubicBezierToElement Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libfreehand::FHCubicBezierToElement Class Reference
Inheritance diagram for libfreehand::FHCubicBezierToElement:

## Public Member Functions
| FHCubicBezierToElement (double x1, double y1, double x2, double y2, double x, double y)
| ~FHCubicBezierToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | writeOut (std::ostream &o) const override
void | transform (const FHTransform &trafo) override
FHPathElement * | clone () override
void | getBoundingBox (double x0, double y0, double &xmin, double &ymin, double &xmax, double &ymax) const override
double | getX () const override
double | getY () const override
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
double | m_x1
double | m_y1
double | m_x2
double | m_y2
double | m_x
double | m_y

## Constructor & Destructor Documentation

## ◆ FHCubicBezierToElement()

libfreehand::FHCubicBezierToElement::FHCubicBezierToElement | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |
| inline

## ◆ ~FHCubicBezierToElement()

libfreehand::FHCubicBezierToElement::~FHCubicBezierToElement | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libfreehand::FHPathElement * libfreehand::FHCubicBezierToElement::clone | ( |  | ) |
| overridevirtual

Implements libfreehand::FHPathElement.

## ◆ getBoundingBox()

void libfreehand::FHCubicBezierToElement::getBoundingBox | ( | double | x0,
|  | double | y0,
|  | double & | xmin,
|  | double & | ymin,
|  | double & | xmax,
|  | double & | ymax
| ) |  | const
| overridevirtual

Implements libfreehand::FHPathElement.

## ◆ getX()

double libfreehand::FHCubicBezierToElement::getX | ( |  | ) | const
| inlineoverridevirtual

Implements libfreehand::FHPathElement.

## ◆ getY()

double libfreehand::FHCubicBezierToElement::getY | ( |  | ) | const
| inlineoverridevirtual

Implements libfreehand::FHPathElement.

## ◆ transform()

void libfreehand::FHCubicBezierToElement::transform | ( | const FHTransform & | trafo | ) |
| overridevirtual

Implements libfreehand::FHPathElement.

## ◆ writeOut() [1/2]

void libfreehand::FHCubicBezierToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| overridevirtual

Implements libfreehand::FHPathElement.

## ◆ writeOut() [2/2]

void libfreehand::FHCubicBezierToElement::writeOut | ( | std::ostream & | o | ) | const
| overridevirtual

Implements libfreehand::FHPathElement.

## Member Data Documentation

## ◆ m_x

double libfreehand::FHCubicBezierToElement::m_x
| private

Referenced by getX().

## ◆ m_x1

double libfreehand::FHCubicBezierToElement::m_x1
| private

## ◆ m_x2

double libfreehand::FHCubicBezierToElement::m_x2
| private

## ◆ m_y

double libfreehand::FHCubicBezierToElement::m_y
| private

Referenced by getY().

## ◆ m_y1

double libfreehand::FHCubicBezierToElement::m_y1
| private

## ◆ m_y2

double libfreehand::FHCubicBezierToElement::m_y2
| private

The documentation for this class was generated from the following file:

- FHPath.cpp